ServerEvents.recipes(event => {
    const shaped = event.recipes.minecraft.crafting_shaped
    const shapeless = event.shapeless

    event.remove({id: 'create:splashing/gravel'})
    event.remove({id: 'chunkbychunk:worldforge'})
    event.remove({id: 'chunkbychunk:worldmender'})
    event.remove({id: 'chunkbychunk:chunkspawner'})
    event.remove({id: 'chunkbychunk:unstablechunkspawner'})
    event.remove({id: 'chunkbychunk:plainschunkspawner'})
    event.remove({id: 'chunkbychunk:snowchunkspawner'})
    event.remove({id: 'chunkbychunk:desertchunkspawner'})
    event.remove({id: 'chunkbychunk:swampchunkspawner'})
    event.remove({id: 'chunkbychunk:mushroomchunkspawner'})
    event.remove({id: 'chunkbychunk:badlandschunkspawner'})
    event.remove({id: 'chunkbychunk:forestchunkspawner'})
    event.remove({id: 'chunkbychunk:savannachunkspawner'})
    event.remove({id: 'chunkbychunk:rockychunkspawner'})
    event.remove({id: 'chunkbychunk:junglechunkspawner'})
    event.remove({id: 'chunkbychunk:mountainchunkspawner'})

    event.remove({id: 'create_ironworks:tools/hammer/copper'})
    event.remove({id: 'create_ironworks:tools/hammer/gold'})
    event.remove({id: 'create_ironworks:tools/hammer/iron'})
    event.remove({id: 'create_ironworks:tools/hammer/brass'})
    event.remove({id: 'create_ironworks:tools/hammer/diamond'})



    event.remove({output: 'experienceobelisk:cognitive_flux'})





    shaped(Item.of('minecraft:soul_sand'), ["BB ", "SS "], {
        S: 'minecraft:sand',
        B: 'minecraft:bone'
    })



    shaped(Item.of('chunkbychunk:worldmender'), [" D ", "DFD", " D "], {
        F: 'chunkbychunk:worldforge',
        D: 'minecraft:dispenser'
    })

    shaped(Item.of('chunkbychunk:worldforge'), ["RLR", "LFL", "RLR"], {
        R: 'minecraft:redstone_block',
        L: 'minecraft:lapis_lazuli',
        F: 'minecraft:furnace'
    })

    shaped(Item.of('chunkbychunk:chunkspawner'), [" I ", "IWI", " I "], {
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:unstablechunkspawner'), ["RIR", "IWI", "RIR"], {
        I: 'minecraft:diamond',
        R: 'minecraft:redstone_block',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:plainschunkspawner'), ["GIG", "IWI", "DID"], {
        G: 'minecraft:grass_block',
        D: 'minecraft:dirt',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:snowchunkspawner'), ["GIG", "IWI", "DID"], {
        G: 'minecraft:snow_block',
        D: 'minecraft:ice',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:desertchunkspawner'), ["GIG", "IWI", "DID"], {
        G: 'minecraft:dead_bush',
        D: 'minecraft:sand',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:swampchunkspawner'), ["AIA", "IWI", "BIB"], {
        A: 'minecraft:lily_pad',
        B: 'minecraft:water_bucket',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:mushroomchunkspawner'), ["AIA", "IWI", "BIB"], {
        A: '#forge:mushrooms',
        B: 'minecraft:mycelium',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:badlandschunkspawner'), ["AIA", "IWI", "BIB"], {
        A: '#forge:badlands_saplings',
        B: 'minecraft:terracotta',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:forestchunkspawner'), ["AIA", "IWI", "BIB"], {
        A: '#forge:forest_saplings',
        B: 'minecraft:dirt',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:savannachunkspawner'), ["AIA", "IWI", "BIB"], {
        A: '#forge:badlands_saplings',
        B: 'minecraft:dirt',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:rockychunkspawner'), ["AIA", "IWI", "AIA"], {
        A: 'minecraft:smooth_basalt',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:rockychunkspawner'), ["AIA", "IWI", "AIA"], {
        A: 'minecraft:blackstone',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:junglechunkspawner'), ["AIA", "IWI", "BIB"], {
        A: '#forge:jungle_saplings',
        B: 'minecraft:dirt',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })

    shaped(Item.of('chunkbychunk:mountainchunkspawner'), ["AIA", "IWI", "BIB"], {
        A: 'minecraft:diamond_block',
        B: 'minecraft:smooth_basalt',
        I: 'minecraft:diamond',
        W: 'chunkbychunk:worldcore'
    })



    shaped(Item.of('experienceobelisk:cognitive_flux'), ["SQ ", "L  "], {
        S: 'minecraft:soul_sand',
        Q: 'minecraft:quartz',
        L: 'minecraft:lapis_lazuli'
    })



    // Create

    shaped(Item.of('create:blaze_burner'), [" M ", "MEM", "BBB"], {
        M: 'minecraft:magma_block',
        E: 'create:empty_blaze_burner',
        B: 'minecraft:smooth_basalt'
    })

})

